package cn.iocoder.yudao.module.order.vo.orderWarehouseCheck;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
public class OrderForceCheck {


    @ApiModelProperty("订单ID")
    @NotNull(message = "请选择订单")
    private Long orderId ;

    @ApiModelProperty("卸柜/到仓时间")
    @NotNull(message = "请输入卸柜/到仓时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date unloadTime;

}
